package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/12/11
 */
public class VipGroupCourseAdjustInfoDto {

    @ApiModelProperty(value = "vip课编号")
    private Integer vipGroupId;

    @ApiModelProperty(value = "课程组类型")
    private GroupType groupType;

    @ApiModelProperty(value = "需要调整的vip课排课计划的编号")
    private String courseScheduleIds;

    @ApiModelProperty(value = "开始排课时间")
    private Date courseCreateStartTime;

    @ApiModelProperty(value = "教学形式")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "课程单价")
    private BigDecimal singleClassPrice;

    @ApiModelProperty(value = "排课次数", required = true)
    private Integer courseCount;

    @ApiModelProperty(value = "可排课时间")
    private List<CourseTimeDto> courseTimes;

    @ApiModelProperty(value = "是否跳过节假日 true-跳过 false-不跳过")
    private boolean isHoliday;

    @ApiModelProperty(value = "教学点")
    private Integer schoolId;

    @ApiModelProperty(value = "操作人编号")
    private Integer operatorId;

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public BigDecimal getSingleClassPrice() {
        return singleClassPrice;
    }

    public void setSingleClassPrice(BigDecimal singleClassPrice) {
        this.singleClassPrice = singleClassPrice;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Integer getCourseCount() {
        return courseCount;
    }

    public void setCourseCount(Integer courseCount) {
        this.courseCount = courseCount;
    }

    public Integer getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Integer vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public String getCourseScheduleIds() {
        return courseScheduleIds;
    }

    public void setCourseScheduleIds(String courseScheduleIds) {
        this.courseScheduleIds = courseScheduleIds;
    }

    public Date getCourseCreateStartTime() {
        return courseCreateStartTime;
    }

    public void setCourseCreateStartTime(Date courseCreateStartTime) {
        this.courseCreateStartTime = courseCreateStartTime;
    }

    public List<CourseTimeDto> getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(List<CourseTimeDto> courseTimes) {
        this.courseTimes = courseTimes;
    }

    public boolean isHoliday() {
        return isHoliday;
    }

    public void setHoliday(boolean holiday) {
        isHoliday = holiday;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }
}
